package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.StaffDepartmentRelatedDTO;
import com.gic.haoban.manage.service.entity.TabHaobanStaffDepartmentRelated;
import org.apache.ibatis.annotations.Param;

public interface StaffDepartmentRelatedMapper {
    int deleteByPrimaryKey(String staffDepartmentRelatedId);

    int insert(TabHaobanStaffDepartmentRelated record);

    int insertSelective(TabHaobanStaffDepartmentRelated record);

    TabHaobanStaffDepartmentRelated selectByPrimaryKey(String staffDepartmentRelatedId);

    int updateByPrimaryKeySelective(TabHaobanStaffDepartmentRelated record);

    int updateByPrimaryKey(TabHaobanStaffDepartmentRelated record);

	List<TabHaobanStaffDepartmentRelated> listByDepartmentId(String departmentId);
	
	TabHaobanStaffDepartmentRelated getOneByClerkCode(String clerkCode);
	
	void deleteCode(TabHaobanStaffDepartmentRelated dto);

	List<TabHaobanStaffDepartmentRelated> listStaffDepartmentByStaffId(String staffId);
	
	Page<TabHaobanStaffDepartmentRelated> pageStaff(String departmentId, Integer activeFlag, String keyword);

    TabHaobanStaffDepartmentRelated getById(String staffDepartmentRelatedId);

    int delByUserid(@Param("userid") String userId);

	TabHaobanStaffDepartmentRelated getDepartmentIdAndStaffId(@Param("departmentId")String departmentId, @Param("staffId")String staffId);

	int countByDepartmentId(@Param("departmentId")String departmentId);

	TabHaobanStaffDepartmentRelated getDepartmentIdAndCode(@Param("departmentId")String departmentId, @Param("clerkCode")String code);

	List<TabHaobanStaffDepartmentRelated> listByDepartmentIdByKeyword(@Param("departmentId")String departmentId, @Param("keyword")String keyword);

	int countByDepartmentIds(@Param("departmentIds")List<String> departmentIds);
	
	List<TabHaobanStaffDepartmentRelated> listByWxUserId(@Param("wxUserId")String wxUserId);
	
	List<TabHaobanStaffDepartmentRelated> listByClerkCode(@Param("clerkCode")String clerkCode);

	List<TabHaobanStaffDepartmentRelated> listByWxEnterpriseIdAndClerkCode(@Param("wxEnterpriseId")String wxEnterpriseId, @Param("clerkCode")String clerkCode);

	List<TabHaobanStaffDepartmentRelated> listStaffDepartmentByStaffIds(@Param("staffIds")List<String> staffIds);

	int cleanStaffDepartment(@Param("wxEnterpriseId")String wxEnterpriseId,@Param("staffIds")List<String> staffIds);
}